# aedmi
Aeroelastic flutter solution based on dynamic modes interpolation  
University of Liège, 2021

## Authors
- Adrien Crovato

## Code
- the code is based on Hüseyin Güner's (private) MATLAB code
- [run](run.py) and [testing](utils/testing.py) are based on Romain Boman's work from [waves](https://gitlab.uliege.be/am-dept/waves)
- the [msh](msh/) module is based on Adrien Crovato's work from [dg-flo](https://github.com/acrovato/dg-flo)

## References
- Hüseyin Güner, [Unsteady aerodynamic modeling methodology based on Dynamic Mode Interpolation (DMI) for transonic flutter calculations](http://hdl.handle.net/2268/245578), University of Liège, 2020.
